@charset "UTF-8";
/* Fragments


*/
/** # ToolBoX

Collections of functions & mixins

Ideas:
Useful sass mixins : <https://medium.com/@vilcins/usefull-sass-mixins-7a68c5491bda>
ToolKit for compass :
Parralax mixins,DRY mixin
https://github.com/at-import/toolkit

Styleguide tools
*/
/** # @functions

Styleguide tools.functions
*/
/* # Color Tools

https://www.sitepoint.com/using-sass-build-color-palettes/


Styleguide tools.functions.colors
*/
/* # @function brightness()


Styleguide tools.functions.colors.brightness
*/
/* # @function color-contrast Compares contrast of a given color to the light/dark arguments and returns whichever is most "contrasty" Styleguide tools.functions.colors.colorcontrast */
/* # Map Tools

Styleguide tools.functions.maps
*/
/** # @function map-fetch()

An easy way to fetch a deep value in a multi-level map. Works much like
map-get() except that you pass multiple keys as the second parameter to
go down multiple levels in the nested map.

## Usage

```
	map-fetch($config, themes $theme header  );
```


@package \toolbox\functions\maps
@param $map - la map a parcourir
@param $keys {list} - multiple keys as the second parameter to go down multiple levels in the nested map
@see  - https://gist.github.com/jlong/8760275

Styleguide tools.functions.maps.mapfetch
*/
/** # @function map-deep-set()

Deep set function to set a value in nested maps

@author Hugo Giraudel
@access public
@package \tollbox\functions\maps
@param {Map} $map - Map
@param {List} $keys -  Key chaine
@param {*} $value - Value to assign
@return {Map}

Styleguide tools.functions.maps.mapdeepset
*/
/** #  @function map-extend()

jQuery-style extend function

About `map-merge()`: only takes 2 arguments is not recursive
// Not deep
$grid-configuration: map-extend($grid-configuration-default, $grid-configuration-custom, $grid-configuration-user);

// Deep
$grid-configuration: map-extend($grid-configuration-default, $grid-configuration-custom, $grid-configuration-user, true);


@package \toolbox\functions\maps
@param {Map} $map - first map
@param {ArgList} $maps - other maps
@param {Bool} $deep - recursive mode
@return {Map}

Styleguide tools.functions.maps.mapextend
*/
/* # Math Tools


 
Styleguide tools.functions.math
*/
/* # @function pow()

Positive or negative integer exponents
https://css-tricks.com/snippets/sass/power-function/

$base -
$exp - exposant

Styleguide tools.functions.math.pow
*/
/* # @function fact()



$num -
@return - factorial of the number

Styleguide tools.functions.math.fact
*/
/* # @function lin2log()

LINEAR to LOGARITHMIC and vice-versa
https://fr.wikipedia.org/wiki/%C3%89chelle_logarithmique

@use - pow()

Styleguide tools.functions.math.lin2log
*/
/* # Trigo

Trigonometrie :
https://fr.wikipedia.org/wiki/Trigonom%C3%A9trie
- sin(), cos(), tan()
Grades : https://fr.wikipedia.org/wiki/Grade_(angle)
Radian : radian (symbole : rad) est l'unitee derivee du Systeme international qui mesure les angles plans. 
https://fr.wikipedia.org/wiki/Radian

Other tools & inspirations:
- https://github.com/at-import/Sassy-math
- https://css-tricks.com/snippets/sass/power-function/

@see - http://japborst.net/posts/sass-sines-and-cosines
@see - http://codepen.io/NyX/pen/dYvymM 

Styleguide tools.function.math.trigo
*/
/* # @function sin()

Calcule le sinus d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - _to_unitless_rad()

Styleguide tools.functions.math.sin
*/
/* # @function cos()

Calcule le cosinus d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - _to_unitless_rad()

Styleguide tools.functions.math.cos
*/
/* # @function tan()

Calcule la tangeante d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - sin(), cos()

Styleguide tools.functions.math.tan
*/
/* # @functions Shadows


Styleguide tools.functions.shadows
*/
/* # @function makelongshadow

usage:
```
	 text-shadow: makelongshadow(darken($color-twitter, 10%));
```

@link - http://codepen.io/CreativePunch/pen/sIcoB
@param $color - 

Styleguide tools.functions.shadows.makelongshadows
*/
/** # String tools


Styleguide tools.functions.strings
*/
/** # @function str-replace()

Replace `$search` with `$replace` in `$string`


@author Hugo Giraudel
@param {String} $string - Initial string
@param {String} $search - Substring to replace
@param {String} $replace ('') - New value
@return {String} - Updated string

Styleguide tools.functions.strings.strreplace
*/
/* # @function Typography

Useful functions for typography

Styleguide tools.functions.typography
*/
/* # @function vertical-rythm()

Golden ratio calculator <http://www.pearsonified.com/typography/>


@see                            - <http://alistapart.com/article/settingtypeontheweb>
@see                            - <https://24ways.org/2006/compose-to-a-vertical-rhythm>
@global $em-base                - Bourbon/neat global
@global $base-line-height       - Bourbon/neat global
@param $multiplier              - number of time to repeat the base line height define by $em-base
@param $offset  (0 !default)    - Optional A scope to add
@param $em-base (16 !default)
@return                         - value in em

Styleguide tools.functions.typography.vertical-rythm
*/
/** # @function headings

Retourne une liste des selecteurs Hx.

## Usage

```scss
headings(1, 6) {
  color: white;
}
```

## Result

```css
h1, h2, h3, h4, h5, h6 {
  color: blue;
}

```


@param $form    {int} (1 !default)   - start iterate
@param $to      {int} (6 !default)  - end iterate
@return                 - list of selectors separated by a colon
@see                    - http://trulycode.com/bytes/sass-function-loop-headings-h1h2h3h4h5h6/

Styleguide toolboxt.functions.typography.headings
*/
/** # Unit Tools

Styleguide tools.functions.units
*/
/* # @function em2px

Renvoie la valeur en px d'une valeur en em
en multipliant par la taille par default $em-base
supprime l'unite, on peut aussi utiliser fragments/convert()

@param number
@param $em-base {int} (16 !default) - em base
@use - Bourbon strip-unit

styleguide tools.functions.units.em2px
*/
/* # @function convert

##Usage :

```
// PIXELS
// px2em
font-size: convert(18, px, ems);
// px2%
font-size: convert(18, px, percent);
// px2points
font-size: convert(16,px,pts);
// POINTS
// pt2ems
font-size: convert(13, pt, ems);
// pt2px
font-size: convert(13, pt, px);
// pt2%
font-size: convert(13, pt, percent);
// EMs
// em2px
font-size: convert(2.5, ems, px);
//em2%
font-size: convert(2.5, ems, percent);
// %
// %2px
font-size: convert(234, percent, px);
```

@param $value {int} - The mesure you want to convert
@param $currentUnit {string} (px,ems,percent,pt) - From
@param $convertUnit {string} (px,ems,percent,pt) - Destination
@param $em-base (16px !defaut) - Bourbon em base
@var $point-per-inch (72 !default) - Default value for pt conversions
@var $pixel-per-inch (96 (default) - Default value for pt conversions
@see -  Unit and convertions rules <http://outils-css.aliasdmc.fr/convertir-unites-de-longueurs-css.php#note_2>
@see - <http://www.sitepoint.com/understanding-sass-units/>
@source - <http://www.sitepoint.com/converting-typographic-units-sass/>

Styleguide tools.functions.units.convert
*/
/** # @mixins

Styleguide tools.mixins
*/
/* # align



Styleguide tools.mixins.align
*/
/* # @mixin vertical-align

Aligne verticalement des blocks par rapport au conteneur
Parametrer autoprefixer selon le support navigateur requis



@mixin vertical-align
@param $axis (x,y, both !default)
@param $position (absolute, relative !default)
@see - <http://caniuse.com/#feat=transforms2d>
@see - <http://stackoverflow.com/questions/23240114/how-to-vertically-center-a-div-with-sass-compass>
@see - <http://www.sitepoint.com/centering-with-sass/>
@see - <http://webdesignerwall.com/tutorials/css-vertical-centering-everything-need-know>
@see - 7 techniques pour le centrage <http://thenewcode.com/723/Seven-Ways-of-Centering-With-CSS>
@todo - Bug a verifier sur Ipad/iOs



Compatibility IE9+ due to css3 transform

Styleguide tools.mixins.align.vertical-align
*/
/* # @mixin contrasted()

Similaire a la fonction de compass contrasted
extrait de beautons

@param $background-color
@param $dark ($dark-text-default !)
@param $light ($light-text-default !)
@function lin2log
@function log2lin
@function brightness
@function color-contrast
@var $contrasted-light-default (white !)
@var $contrasted-dark-default (black !)

Styleguide libs.mixins.contrasted
*/
/* # Math Tools


 
Styleguide tools.functions.math
*/
/* # @function pow()

Positive or negative integer exponents
https://css-tricks.com/snippets/sass/power-function/

$base -
$exp - exposant

Styleguide tools.functions.math.pow
*/
/* # @function fact()



$num -
@return - factorial of the number

Styleguide tools.functions.math.fact
*/
/* # @function lin2log()

LINEAR to LOGARITHMIC and vice-versa
https://fr.wikipedia.org/wiki/%C3%89chelle_logarithmique

@use - pow()

Styleguide tools.functions.math.lin2log
*/
/* # Trigo

Trigonometrie :
https://fr.wikipedia.org/wiki/Trigonom%C3%A9trie
- sin(), cos(), tan()
Grades : https://fr.wikipedia.org/wiki/Grade_(angle)
Radian : radian (symbole : rad) est l'unitee derivee du Systeme international qui mesure les angles plans. 
https://fr.wikipedia.org/wiki/Radian

Other tools & inspirations:
- https://github.com/at-import/Sassy-math
- https://css-tricks.com/snippets/sass/power-function/

@see - http://japborst.net/posts/sass-sines-and-cosines
@see - http://codepen.io/NyX/pen/dYvymM 

Styleguide tools.function.math.trigo
*/
/* # @function sin()

Calcule le sinus d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - _to_unitless_rad()

Styleguide tools.functions.math.sin
*/
/* # @function cos()

Calcule le cosinus d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - _to_unitless_rad()

Styleguide tools.functions.math.cos
*/
/* # @function tan()

Calcule la tangeante d'un angle
https://fr.wikipedia.org/wiki/Sinus_(math%C3%A9matiques)

$angle  - angle en deg
@use    - sin(), cos()

Styleguide tools.functions.math.tan
*/
/* # Color Tools

https://www.sitepoint.com/using-sass-build-color-palettes/


Styleguide tools.functions.colors
*/
/* # @function brightness()


Styleguide tools.functions.colors.brightness
*/
/* # @function color-contrast Compares contrast of a given color to the light/dark arguments and returns whichever is most "contrasty" Styleguide tools.functions.colors.colorcontrast */
/* # Compass - Float utilities

Mixin utile pour gérer les blocks flotant, avec support des bugs dans les navigateurs préhistoriques

@mixin float()
@mixin reset-float()
@mixin float-right()
@mixin float-left()

Styleguide libs.mixins.float
*/
/* # @mixin font-smoothing()

<https://github.com/css-recipes/font-smoothing>

**This recipe only works for OS X since Windows has a different font rendering method.**

Others sources:

- <http://maximilianhoffmann.com/posts/better-font-rendering-on-osx>
- <https://developer.mozilla.org/en-US/docs/Web/CSS/font-smooth>
- <https://developer.mozilla.org/fr/docs/Web/CSS/font-smooth>
- <http://www.w3.org/TR/WD-font/#font-smooth>

Usage :

Use `$value` to enable or disable font smoothing.

Mixin usage:

~~~
 @include font-smoothing($value);
~~~

Placehoders:

~~~
@extend %font-smoothing--on | %font-smoothing ; // enabled
@extend %font-smoothing--off; // disabled
~~~

Compatibility:  Safari 4+, Firefox 25+ - !Attention  font-smooth is not in spec
Problems in Chrome with webFonts



@param - {true | on | antialiased | grayscale } to enable.
@param - {false | off | subpixel-antialiased | auto } to disable.
@param $font-smooting--helpers - generate helpers class to enable /disable font-smooting

Styleguide libs.mixins.font-smoothing
*/
/** # @mixin headings()

## Usage

```scss
@include headings(){
  color: blue;
}
```

@use \libs\function\headings
@param $from    - iteration start   
@param $to      - iteration stop

Styleguide tools.mixins.headings
*/
/* # @mixin iconify

## Usage

~~~
    i {
        @include iconify('quotation-mark-right','before',$margin: 0);
        float:right;
        padding: 0 .5em;
        background-color: $brand-color-primary;
        color: $white;
        line-height:inherit;
    }

~~~


@mixin iconify
@param $icon {string}                       - icon name
@param $position [before !default, after]   - Position of the icon
@param $margin   (5px default)              - Si avant ou après le contenu, il est possible de gérer l'espace
@param $replace {boolean} (false !default)  - Remplace le contenu
@see                                        - Inspiré de <http://jshak.es/easy-icomoon-icons-with-sass/>
$icon-family-name ('icons' !default)        - Nom de l'icon font ex:`font-awesome, icomoon`
$icon-prefix   ('icon' !default)            - Prefix des classes css sans le tiret ex:`icn, icone, icon`
$icon-set {map}                             - icon set map description with name : hex code


Styleguide libs.mixins.iconify
*/
/* # @mixin remit()


Prend une proprité css et valeur ou liste de valeurs en pixel
et retourne la propriété avec fallback en pixel pui sa valeur en rem;


```scss
@include remit(margin-bottom, $doc-line-height);
@include remit(margin, 10px 0 30px 40px...);
```

le calcul des rem est basé sur la valeur de $em-base.

Other Sources and inspirations about this mixin :
<http://css-tricks.com/snippets/css/less-mixin-for-rem-font-sizing/>
<http://davidwalsh.name/rem-px-browser-function-sass>

$em-base    - Bourbon default
@mixin      - remit()
$property   - {string} css property
$sizes      - {list} a list of pixel values  ex : (10px 0 20px)
@use        - bourbon5.0  strip-unit


Styleguide libs.mixins.remit
*/
/** # @function remit()

Convertion de valeur en pixel vers rem ou em

$em-base (16px !) -
@param $size - pixel value
@param $unit (rem !) - unite retourné
@return - rem ou em value

Styleguide  toolbox.functions.remit
*/
/* # shadows

[Spec](http://www.w3schools.com/cssref/css3_pr_text-shadow.asp)

@micin single-text-shadow - set a text-shadow with params or defaults
@see - https://github.com/matthieua/sass-css3-mixins/blob/master/css3-mixins.scss
@see - http://compass-style.org/examples/compass/css3/text_shadow/
@see - http://compass-style.org/reference/compass/css3/text-shadow/
@see - https://css-tricks.com/snippets/css/css-text-shadow/


Styleguide libs.mixins.shadows
*/
/* # @mixin single-text-shadow


@param $x {int}  (2px !) - X
@param $y {int} (2px !) - Y
@param $blur {int} (2px !) - Blur
@param $color {Color} (rgba(0,0,0,.4) !) - Color

Styleguide libs.mixins.shadows.single-text-shadow
*/
/* # @mixin single-box-shadow

https://developer.mozilla.org/fr/docs/Web/CSS/box-shadow

usage:
```css
  .bloc {
    @include single-box-shadow();
  }
```

@param $args {list} - box-shadow propertie values (ex : 2px 3px 3px black)
$default-box-shadow (2px 2px 2px rgba(0,0,0,.4) !) - base default value

Styleguide toolbox.mixins.singleboxshadow
*/
/* # @mixin visuallyhidden

Hide only visually, but have it available for screen readers: <h5bp.com/v>
http://webaim.org/techniques/css/invisiblecontent/

1 - preserve word spacing fo screen reader
    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe#.70jc0kefk

@mixin visuallyhidden 
@see    - <h5bp.com/v>

Styleguide libs.mixins.visuallyHidden
*/
/** # @mixin google-web-font

Dynamically import only used Google Webfonts :

```
  .headings {
		@include webfont("Open Sans", 800, normal , $font-stack-helvetica);
	}

	body {
		 @include webfont("Open Sans", 400, normal , $font-stack-helvetica);
	}

	h1 {
		@include webfont("Lato",900,normal,$font-stack-helvetica);
	}
  // A la fin du fichier scss principale appeler le chargement des webfonts


	// WebFonts Load
	@import url(import-webfonts());

```


@see - <http://advancedsass.com/articles/dynamically-import-only-used-google-webfonts.html>
@global $google-font-load {bool} - Does we use web font loader ?
@var $used-fonts {map} - private
@mixin webfont()
@mixin track-fonts
@use tollbox/functions/str-replace
@function import-google-fonts
@todo - Test compatibility and performance




Compatibility: untested

Styleguide tools.mixins.webfonts
*/
/** # String tools


Styleguide tools.functions.strings
*/
/** # @function str-replace()

Replace `$search` with `$replace` in `$string`


@author Hugo Giraudel
@param {String} $string - Initial string
@param {String} $search - Substring to replace
@param {String} $replace ('') - New value
@return {String} - Updated string

Styleguide tools.functions.strings.strreplace
*/
/* # @mixin set-used-fonts

Les webfonts sont ajoutées a la requète finale généré
y compris si elles ne sont pas utilisées en suite

Usage:

Forcer le chargement de webfonts dans l'environnement
```
	$font-list: (
		'Open Sans': (400,regular),
		'Roboto': (600,800)
	);
	@include set-used-fonts($font-list);
```

@param $font-list {map} (family: (variants)) - liste de webfonts

Styleguide tools.mixins.webfonts.set
*/
/* # New incoming functionalities


Styleguide tools.incoming
*/
/** # Core


on décompose le noyaux fonctionnel, en sous applicatifs
comme dans accoutrement de OddBirds, qui rejoint le concept.

- font
- color


Styleguide core
*/
/** # Core API


Styleguide core.api
*/
/** # @function _get()

Wrapper pour map-get, accepte une list en parametre $keys

Styleguide core.api.get
*/
/** # @mixin _init()

Instancie une nouvelle config
d'un module/composant et fusionne avec les parametre utilisateur

Usage:
```scss
  @mixin myComponent($params){
    $config: (
      color: white,
      background:
    );
    @include _init($config,$params);
  }
```

$default_settings {map} - parametres par default du composant
$user_settings {map}    - paramètres utilisateur

Styleguide core.api.init
*/
/** # @mixin _this()

Retourne le paramètre de config du composant/_module

Usage:
```
  @include _this(color primary base);
```

$settings {list} (key value) - depuis une liste clé valeur

Styleguide core.api.this
*/
/** # @function _thrown

Exceptions

Gérer les exceptions :  comme dans les autres langages on peut imaginer un couple try/thrown
afin de gérer les erreurs, debugs, infos...
ne pas bloquer la compilation suivant un contexte de développement

Utiliser une fonction thrown peut permettre de changer de comportement suivant l'environnement
par exemple retourner une @error ou @warn suivant le cas prod ou dev.
Notes:
- en scss on ne peut pas renvoyer d'info sur la ligne conçernée lors de l'utilisation de la fonction

@todo - gérer des reporting du déroulement de la compilation
@todo - gérer le debug de maps ou d'environement suivant le contexte de compilations

Styleguide income.trown
*/
/** # Color

Api de gestion des couleurs pour les thèmes
et composants.

@see - https://gist.github.com/mistergraphx/e218d9439216143cc70aaed68766edbc
@see - Sass color scheme https://www.npmjs.com/package/sass-colorscheme
@todo - Color schemes : gestion des palettes et fonction utiles
        pour générer des déclinaison de teintes suivant les principaux

Styleguide core.color
*/
/** # Color Api

- api

@global $_colors - Global color map
@mixin add-colors() -
@function merge-colors() -
@function color() -

Styleguide core.color.api
*/
/** # @function color

renvoie une couleur depuis la config.colors d'apres un keyword color-name,
la couleur peut etre une map de teintes,
dans ce cas si aucune teinte n'est specifie c'est la teinte base qui est retournee


@function color() - renvoie une couleur depuis la config.colors d'apres un keyword color-name
@param $color {color|map}
@param $tone {key} (base !default)
@return {color}

Styleguide core.color.color
*/
/** # @mixin color-swatch

BUILDING COLOR PALETTE WITH SASS :
http://codepen.io/SitePoint/pen/lqLvD?editors=0100
https://www.sitepoint.com/using-sass-build-color-palettes/

Markup
<ul class="color-swatche">
	<li></li>
	<li></li>
	<li></li>
	<li></li>
</ul>

Usage:
```
  @include color-swatch($yellow-shades);
```

Styleguide color.mixins.colorswatch
*/
/** # @mixin background-gradient()


Usage:
```scss
  $color_map: ( '1': #2A363B,'2': #E84A5F,'3': #FF847B,'4': #FECEA8);
  $color_list: (#2A363B,#E84A5F,#FF847B,#FECEA8);
  .test{
  	display: block;
  	width: 100%;
  	height: 45rem;

    @include background-gradient($color_list);
  }
```
@see - <https://developer.mozilla.org/fr/docs/Web/CSS/linear-gradient>
@param $colors -
@param $deg (50 !) -
@return - background definition
@use - autoprefixer
@todo - test if value is really a color

Styleguide color.mixins.bggradient
*/
/** # Core : font

font object description

@see - https://css-tricks.com/snippets/css/using-font-face/
@use - /toolbox/functions/strings
@global $_webfonts {map} private - webfonts in use

Styleguide core.font
*/
/** # @function import-webfonts()

Utilisé pour créé la requète google-fonts

Styleguide core.font.import
*/
/* # @mixin add-fonts

Forcer le chargement de webfonts dans l'environnement.
Les webfonts sont ajoutées a la requète finale généré
y compris si elles ne sont pas utilisées en suite.

Usage:

```
	$font-list: (
		'Open Sans': (400,regular),
		'Roboto': (600,800)
	);
	@include set-used-fonts($font-list);
```

@param $font-list {map} (family: (variants)) - liste de webfonts

Styleguide tools.mixins.webfonts.set
*/
/** # @mixin track-fonts()

Test et défini si une font est déjà utilisée dans l'environnement
et l'ajoute si besoin

@param $family
@param $weight
@param $style

Styleguide core.font.track
*/
/** # @mixin font()

Produit les regles css pour font[family,weight,style],
afin de toujours suggérer au navigateur la typo dans la bonne graisse et style
sinon elle est extrapolé en faux bold ou italic.

Usage:

```
$heading-font: 'Open Sans', 800, normal, sans-serif, webfont !default;
$base-font: "Helvetica",400, normal, sans-serif !default;
.heading {
  @include font($heading-font...);
}
.test2 {
  @include font($base-font...);
}
```

Styleguide core.font.fontmixin
*/
/*! normalize.css v8.0.0 | MIT License | github.com/necolas/normalize.css */
/* Document ========================================================================== */
/** 1. Correct the line height in all browsers. 2. Prevent adjustments of font size after orientation changes in iOS. */
html { line-height: 1.15; /* 1 */ -webkit-text-size-adjust: 100%; /* 2 */ }

/* Sections ========================================================================== */
/** Remove the margin in all browsers. */
body { margin: 0; }

/** Correct the font size and margin on `h1` elements within `section` and `article` contexts in Chrome, Firefox, and Safari. */
h1 { font-size: 2em; margin: 0.67em 0; }

/* Grouping content ========================================================================== */
/** 1. Add the correct box sizing in Firefox. 2. Show the overflow in Edge and IE. */
hr { -webkit-box-sizing: content-box; box-sizing: content-box; /* 1 */ height: 0; /* 1 */ overflow: visible; /* 2 */ }

/** 1. Correct the inheritance and scaling of font size in all browsers. 2. Correct the odd `em` font sizing in all browsers. */
pre { font-family: monospace, monospace; /* 1 */ font-size: 1em; /* 2 */ }

/* Text-level semantics ========================================================================== */
/** Remove the gray background on active links in IE 10. */
a { background-color: transparent; }

/** 1. Remove the bottom border in Chrome 57- 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari. */
abbr[title] { border-bottom: none; /* 1 */ text-decoration: underline; /* 2 */ -webkit-text-decoration: underline dotted; text-decoration: underline dotted; /* 2 */ }

/** Add the correct font weight in Chrome, Edge, and Safari. */
b, strong { font-weight: bolder; }

/** 1. Correct the inheritance and scaling of font size in all browsers. 2. Correct the odd `em` font sizing in all browsers. */
code, kbd, samp { font-family: monospace, monospace; /* 1 */ font-size: 1em; /* 2 */ }

/** Add the correct font size in all browsers. */
small { font-size: 80%; }

/** Prevent `sub` and `sup` elements from affecting the line height in all browsers. */
sub, sup { font-size: 75%; line-height: 0; position: relative; vertical-align: baseline; }

sub { bottom: -0.25em; }

sup { top: -0.5em; }

/* Embedded content ========================================================================== */
/** Remove the border on images inside links in IE 10. */
img { border-style: none; }

/* Forms ========================================================================== */
/** 1. Change the font styles in all browsers. 2. Remove the margin in Firefox and Safari. */
button, input, optgroup, select, textarea { font-family: inherit; /* 1 */ font-size: 100%; /* 1 */ line-height: 1.15; /* 1 */ margin: 0; /* 2 */ }

/** Show the overflow in IE. 1. Show the overflow in Edge. */
button, input { /* 1 */ overflow: visible; }

/** Remove the inheritance of text transform in Edge, Firefox, and IE. 1. Remove the inheritance of text transform in Firefox. */
button, select { /* 1 */ text-transform: none; }

/** Correct the inability to style clickable types in iOS and Safari. */
button, [type="button"], [type="reset"], [type="submit"] { -webkit-appearance: button; }

/** Remove the inner border and padding in Firefox. */
button::-moz-focus-inner, [type="button"]::-moz-focus-inner, [type="reset"]::-moz-focus-inner, [type="submit"]::-moz-focus-inner { border-style: none; padding: 0; }

/** Restore the focus styles unset by the previous rule. */
button:-moz-focusring, [type="button"]:-moz-focusring, [type="reset"]:-moz-focusring, [type="submit"]:-moz-focusring { outline: 1px dotted ButtonText; }

/** Correct the padding in Firefox. */
fieldset { padding: 0.35em 0.75em 0.625em; }

/** 1. Correct the text wrapping in Edge and IE. 2. Correct the color inheritance from `fieldset` elements in IE. 3. Remove the padding so developers are not caught out when they zero out `fieldset` elements in all browsers. */
legend { -webkit-box-sizing: border-box; box-sizing: border-box; /* 1 */ color: inherit; /* 2 */ display: table; /* 1 */ max-width: 100%; /* 1 */ padding: 0; /* 3 */ white-space: normal; /* 1 */ }

/** Add the correct vertical alignment in Chrome, Firefox, and Opera. */
progress { vertical-align: baseline; }

/** Remove the default vertical scrollbar in IE 10+. */
textarea { overflow: auto; }

/** 1. Add the correct box sizing in IE 10. 2. Remove the padding in IE 10. */
[type="checkbox"], [type="radio"] { -webkit-box-sizing: border-box; box-sizing: border-box; /* 1 */ padding: 0; /* 2 */ }

/** Correct the cursor style of increment and decrement buttons in Chrome. */
[type="number"]::-webkit-inner-spin-button, [type="number"]::-webkit-outer-spin-button { height: auto; }

/** 1. Correct the odd appearance in Chrome and Safari. 2. Correct the outline style in Safari. */
[type="search"] { -webkit-appearance: textfield; /* 1 */ outline-offset: -2px; /* 2 */ }

/** Remove the inner padding in Chrome and Safari on macOS. */
[type="search"]::-webkit-search-decoration { -webkit-appearance: none; }

/** 1. Correct the inability to style clickable types in iOS and Safari. 2. Change font properties to `inherit` in Safari. */
::-webkit-file-upload-button { -webkit-appearance: button; /* 1 */ font: inherit; /* 2 */ }

/* Interactive ========================================================================== */
/* Add the correct display in Edge, IE 10+, and Firefox. */
details { display: block; }

/* Add the correct display in all browsers. */
summary { display: list-item; }

/* Misc ========================================================================== */
/** Add the correct display in IE 10+. */
template { display: none; }

/** Add the correct display in IE 10. */
[hidden] { display: none; }

/** # Base

Bitters 1.0.0 : bourbon starter

@see  - <http://bitters.bourbon.io/>
@see  - <http://www.w3schools.com/html/default.asp>
@liscence - MIT License

Styleguide base
*/
/* # Body

Initialize the base line height and font size for document html/body

Styleguide base.body
*/
html { -webkit-box-sizing: border-box; box-sizing: border-box; font-size: 1em; }

*, *::before, *::after { -webkit-box-sizing: inherit; box-sizing: inherit; }

body { -webkit-font-feature-settings: "kern", "liga", "pnum"; font-feature-settings: "kern", "liga", "pnum"; margin: 0; padding: 0; background: #fffefc; color: #333; font-family: system-ui, -apple-system, BlinkMacSystemFont, Avenir Next, Avenir, Segoe UI, Lucida Grande, Helvetica Neue, Helvetica, Fira Sans, Roboto, Noto, Droid Sans, Cantarell, Oxygen, Ubuntu, Franklin Gothic Medium, Century Gothic, Liberation Sans, sans-serif; font-weight: 800; font-style: normal; font-size: 1em; line-height: 1.5; }

/* # Typo

Styleguide base.typography
*/
/* # html basic

Set the basic styling for default
headings, paragraphs, image, picture

Markup:
<div class="wrapper">
<h1 id="headings">Headings</h1>
<h1></h1>
<h2></h2>
<h3></h3>
<h4></h4>
<h5></h5>
<h6></h6>
<small><a href="#headings">[top]</a></small>
<hr />
<h1 id="paragraph">Paragraph</h1>
<img style="float:right" width="250" height="125" />
<p>Lorem ipsum dolor sit amet, <a href="#" title="test link">test link</a> adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>
<p>Lorem ipsum dolor sit amet, <em>emphasis</em> consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>
<small><a href="#headings">[top]</a></small>
<hr />
</div>

Styleguide base.typography.general
*/
h1, h2, h3, h4, h5, h6 { font-family: Helvetica Neue, Helvetica, Arial, sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: 800; font-style: normal; font-size: 1em; line-height: 1.2; margin: 0; }

p { margin: 0 0 0.75em; }

a { color: #477dca; text-decoration: none; -webkit-transition: color 0.1s linear; transition: color 0.1s linear; }

a:active, a:focus, a:hover { color: #2c5999; }

a:active, a:focus { outline: none; }

hr { border-bottom: 1px solid #ddd; border-left: none; border-right: none; border-top: none; margin: 1.5em auto; }

/** # Selection

Markup:
<p>Try to select me</p>

Styleguide base.typography.selections
*/
::-moz-selection { background-color: #ddd; color: #000; }
::selection { background-color: #ddd; color: #000; }

::-moz-selection { background-color: #ddd; color: #000; }

/* # Lists

Styleguide base.lists
*/
/* # ul/ol Lists



.list--default - Reset Default styling for lists
.list--inline

Markup:
<h2>Un-ordered</h2>
<ul class="$modifierClass">
  <li></li>
  <li></li>
  <li></li>
  <li></li>
</ul>
<h2>Ordered</h2>
<ol class="$modifierClass">
  <li></li>
  <li></li>
  <li></li>
  <li></li>
</ol>

@package \base\lists
@see - <https://github.com/thoughtbot/bitters#lists>
@extend %default-ul - Reset ul to default styling
@extend %default-ol - Reset ol to default stiling

Styleguide base.lists.ul
*/
ul, ol { list-style-type: none; margin: 0; padding: 0; }

ul.list--default, ul.default { list-style-type: disc; margin-bottom: 1.5em; padding-left: 1.5em; }

ol.list--default { list-style-type: decimal; margin-bottom: 1.5em; padding-left: 1.5em; }

ul.list--inline, ul.inline, ol.list--inline, ol.inline { padding-left: 0; }

ul.list--inline li, ul.inline li, ol.list--inline li, ol.inline li { display: inline-block; list-style: none; padding-left: 1.5em; }

ul.list--inline li:first-child, ul.inline li:first-child, ol.list--inline li:first-child, ol.inline li:first-child { padding-left: 0; }

/* # Definitions lists

.dl--inline - inline definition lists

Markup:
<dl class="$modifierClass">
  <dt></dt>
    <dd></dd>
  <dt></dt>
    <dd></dd>
</dl>

@see - <http://www.the-art-of-web.com/css/format-dl/>
@see - <http://lea.verou.me/2012/02/flexible-multiline-definition-lists-with-2-lines-of-css/>
$bp-dl-inline {sting} ($bp-s !default) - Breakpoint for switchnig between inline or classic definition presentation.;

Styleguide base.lists.dl
*/
dl { margin-bottom: 0.75em; }

dl dt { font-weight: bold; margin-top: 0.75em; }

dl dd { margin: 0; }

dl.dl--inline dt, dl.dl--inline dd, dl.inline dt, dl.inline dd { display: inline; margin: 0; }

dl.dl--inline dd:after, dl.inline dd:after { content: '\A'; white-space: pre; }

/* # Tables


Markup:
<table cellspacing="0" cellpadding="0">
    <caption>Table caption</caption>
    <thead>
    <tr>
      <th>Table Header 1</th><th>Table Header 2</th>
      <th>Table Header 3</th>
    </tr>
    </thead>
    <tbody>
    <tr>
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
    <tr class="even">
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
    <tr>
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
  </tbody>
</table>

Styleguide base.tables
*/
table { -webkit-font-feature-settings: "kern", "liga", "pnum"; font-feature-settings: "kern", "liga", "pnum"; border-collapse: collapse; margin: 0.75em 0; table-layout: fixed; width: 100%; }

th { border-bottom: 1px solid #b7b7b7; font-weight: 600; padding: 0.75em 0; text-align: left; }

td { border-bottom: 1px solid #ddd; padding: 0.75em 0; }

tr, td, th { vertical-align: middle; }

/** # Buttons

## Css output

```
  button,
  [type='button'],
  [type='reset'],
  [type='submit']
```

Markup:
<button type="button">Click Me!</button><br>
<input type="button" value="Input type - button"><br>
<input type="reset" value="Input type - reset"><br>
<input type="submit" value="Input type - submit"><br>


$all-button-input - $all-button - Boubon predefined shortcut
$action-color -
$base-btn-border -
$base-btn-color -
$base-btn-foreground -
$base-btn-background ($action-color !) -
@see  - <http://bourbon.io/docs/#complete-list> Html5 INPUTS
@todo [1] - ?? vf normalize

Styleguide base.buttons
*/
button, [type="button"], [type="reset"], [type="submit"] { display: inline-block; cursor: pointer; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; vertical-align: middle; white-space: nowrap; -webkit-appearance: none; -moz-appearance: none; appearance: none; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-smooth: always; background-color: #63ab22; border: 1px solid #ddd; border-radius: 4px; color: white; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; font-weight: 600; line-height: 1.5; padding: 0.75em 1.5em; text-align: center; text-decoration: none; }

button:hover, button:focus, [type='button']:hover, [type='button']:focus, [type='reset']:hover, [type='reset']:focus, [type='submit']:hover, [type='submit']:focus { background-color: #4a801a; color: #000; }

button:disabled, [type='button']:disabled, [type='reset']:disabled, [type='submit']:disabled { cursor: not-allowed; opacity: 0.5; }

button:disabled:hover, [type='button']:disabled:hover, [type='reset']:disabled:hover, [type='submit']:disabled:hover { background-color: #477dca; }

/** # Forms

Markup:
<fieldset>
    <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent
        mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus.</p>
    <form>
         <h2>Form Element</h2>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui.</p>
        <p>
            <label for="text_field">Text Field:</label>
            <input type="text" id="text_field">
        </p>
        <p>
            <label for="text_area">Text Area:</label>
            <textarea id="text_area"></textarea>
        </p>
        <p>
            <label for="select_element">Select Element:</label>
            <select name="select_element">
                <optgroup label="Option Group 1">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
                <optgroup label="Option Group 2">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
            </select>
        </p>
        <p>
            <label for="radio_buttons">Radio Buttons:</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_1">Radio 1</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_2">Radio 2</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_3">Radio 3</label>
        </p>
        <p>
            <label for="checkboxes">Checkboxes:</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_1">Checkbox 1</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_2">Checkbox 2</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_3">Checkbox 3</label>
        </p>
        <p>
            <label for="password">Password:</label>
            <input type="password" class="password" name="password">
        </p>
        <p>
            <label for="file">File Input:</label>
            <input type="file" class="file" name="file">
        </p>
        <p>
            <input type="submit" value="Submit">
        </p>
    </form>
</fieldset>

Styleguide base.forms
*/
fieldset { margin: 0 0 0.75em; padding: 1.5em; border: 1px solid #ddd; border-radius: 4px; }

input, label, select { display: block; font-family: system-ui, -apple-system, BlinkMacSystemFont, Avenir Next, Avenir, Segoe UI, Lucida Grande, Helvetica Neue, Helvetica, Fira Sans, Roboto, Noto, Droid Sans, Cantarell, Oxygen, Ubuntu, Franklin Gothic Medium, Century Gothic, Liberation Sans, sans-serif; font-weight: 800; font-style: normal; font-size: 1em; }

label { font-weight: 600; margin-bottom: 0.375em; line-height: 1.5; }

label.required::after { content: "*"; }

label abbr { display: none; }

[type='color'], [type='date'], [type='datetime'], [type='datetime-local'], [type='email'], [type='month'], [type='number'], [type='password'], [type='search'], [type='tel'], [type='text'], [type='time'], [type='url'], [type='week'], input:not([type]), textarea, select[multiple=multiple] { width: 100%; margin-bottom: 0.75em; padding: 0.5em; -webkit-box-sizing: border-box; box-sizing: border-box; -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06); box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06); background-color: #fffefc; border: 1px solid #ddd; border-radius: 4px; color: black; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; -webkit-transition: border-color; transition: border-color; }

[type='color']:hover, [type='date']:hover, [type='datetime']:hover, [type='datetime-local']:hover, [type='email']:hover, [type='month']:hover, [type='number']:hover, [type='password']:hover, [type='search']:hover, [type='tel']:hover, [type='text']:hover, [type='time']:hover, [type='url']:hover, [type='week']:hover, input:not([type]):hover, textarea:hover, select[multiple=multiple]:hover { border-color: #c4c4c4; }

[type='color']:focus, [type='date']:focus, [type='datetime']:focus, [type='datetime-local']:focus, [type='email']:focus, [type='month']:focus, [type='number']:focus, [type='password']:focus, [type='search']:focus, [type='tel']:focus, [type='text']:focus, [type='time']:focus, [type='url']:focus, [type='week']:focus, input:not([type]):focus, textarea:focus, select[multiple=multiple]:focus { border-color: #477dca; -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(55, 112, 192, 0.7); box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(55, 112, 192, 0.7); outline: none; }

[type='color']:disabled, [type='date']:disabled, [type='datetime']:disabled, [type='datetime-local']:disabled, [type='email']:disabled, [type='month']:disabled, [type='number']:disabled, [type='password']:disabled, [type='search']:disabled, [type='tel']:disabled, [type='text']:disabled, [type='time']:disabled, [type='url']:disabled, [type='week']:disabled, input:not([type]):disabled, textarea:disabled, select[multiple=multiple]:disabled { background-color: #f2f2f2; cursor: not-allowed; }

[type='color']:disabled:hover, [type='date']:disabled:hover, [type='datetime']:disabled:hover, [type='datetime-local']:disabled:hover, [type='email']:disabled:hover, [type='month']:disabled:hover, [type='number']:disabled:hover, [type='password']:disabled:hover, [type='search']:disabled:hover, [type='tel']:disabled:hover, [type='text']:disabled:hover, [type='time']:disabled:hover, [type='url']:disabled:hover, [type='week']:disabled:hover, input:not([type]):disabled:hover, textarea:disabled:hover, select[multiple=multiple]:disabled:hover { border: 1px solid #ddd; }

[type='color']::-webkit-input-placeholder, [type='date']::-webkit-input-placeholder, [type='datetime']::-webkit-input-placeholder, [type='datetime-local']::-webkit-input-placeholder, [type='email']::-webkit-input-placeholder, [type='month']::-webkit-input-placeholder, [type='number']::-webkit-input-placeholder, [type='password']::-webkit-input-placeholder, [type='search']::-webkit-input-placeholder, [type='tel']::-webkit-input-placeholder, [type='text']::-webkit-input-placeholder, [type='time']::-webkit-input-placeholder, [type='url']::-webkit-input-placeholder, [type='week']::-webkit-input-placeholder, input:not([type])::-webkit-input-placeholder, textarea::-webkit-input-placeholder, select[multiple=multiple]::-webkit-input-placeholder { color: #a7a7a7; }

[type='color']:-ms-input-placeholder, [type='date']:-ms-input-placeholder, [type='datetime']:-ms-input-placeholder, [type='datetime-local']:-ms-input-placeholder, [type='email']:-ms-input-placeholder, [type='month']:-ms-input-placeholder, [type='number']:-ms-input-placeholder, [type='password']:-ms-input-placeholder, [type='search']:-ms-input-placeholder, [type='tel']:-ms-input-placeholder, [type='text']:-ms-input-placeholder, [type='time']:-ms-input-placeholder, [type='url']:-ms-input-placeholder, [type='week']:-ms-input-placeholder, input:not([type]):-ms-input-placeholder, textarea:-ms-input-placeholder, select[multiple=multiple]:-ms-input-placeholder { color: #a7a7a7; }

[type='color']::-ms-input-placeholder, [type='date']::-ms-input-placeholder, [type='datetime']::-ms-input-placeholder, [type='datetime-local']::-ms-input-placeholder, [type='email']::-ms-input-placeholder, [type='month']::-ms-input-placeholder, [type='number']::-ms-input-placeholder, [type='password']::-ms-input-placeholder, [type='search']::-ms-input-placeholder, [type='tel']::-ms-input-placeholder, [type='text']::-ms-input-placeholder, [type='time']::-ms-input-placeholder, [type='url']::-ms-input-placeholder, [type='week']::-ms-input-placeholder, input:not([type])::-ms-input-placeholder, textarea::-ms-input-placeholder, select[multiple=multiple]::-ms-input-placeholder { color: #a7a7a7; }

[type='color']::placeholder, [type='date']::placeholder, [type='datetime']::placeholder, [type='datetime-local']::placeholder, [type='email']::placeholder, [type='month']::placeholder, [type='number']::placeholder, [type='password']::placeholder, [type='search']::placeholder, [type='tel']::placeholder, [type='text']::placeholder, [type='time']::placeholder, [type='url']::placeholder, [type='week']::placeholder, input:not([type])::placeholder, textarea::placeholder, select[multiple=multiple]::placeholder { color: #a7a7a7; }

textarea { resize: vertical; }

input[type="search"] { -webkit-appearance: none; -moz-appearance: none; appearance: none; }

input[type="checkbox"], input[type="radio"] { display: inline; margin-right: 0.375em; float: left; vertical-align: bottom; height: 1.5em; }

input[type="file"] { margin-bottom: 0.75em; width: 100%; }

select { margin-bottom: 1.5em; max-width: 100%; width: auto; }

/* # Medias

Markup:
<h2>Image</h2>
<img  alt="Mountain View" width="200" height="200">
<h2>Figure</h2>
<figure>
  <img alt="The Pulpit Rock" width="304" height="228">
</figure>
<h2>Figure + Figcaption</h2>
<figure>
  <img alt="The Pulpit Rock" width="304" height="228">
  <figcaption>Fig1. - A view of the pulpit rock in Norway.</figcaption>
</figure>


@see  - [W3Scholl - html img](http://www.w3schools.com/tags/tag_img.asp)
@see  - [W3School - figcaption](http://www.w3schools.com/tags/tag_figcaption.asp)
@todo - Responsive Figure, Side-by-side Figures : https://gist.github.com/mistergraphx/a46c1f24a74dffa516bc

Styleguide base.medias
*/
img, picture { margin: 0; max-width: 100%; height: auto; }

figure { display: table; margin: 1.5em auto; }

figure > img { display: table-cell; text-align: center; vertical-align: middle; }

figcaption { color: black; font-style: italic; text-align: center; }

/** # Addons

Styleguide addons
*/
/* # Helpers

Helpers class

Utilities : tour d'horizon des methodes ou approches de conception
des classes utilitaires dans les divers frameworks et methodologies css
http://davidtheclark.com/on-utility-classes/

Bootstrap4 : Classes utilitaire layout et responsive
https://v4-alpha.getbootstrap.com/layout/responsive-utilities/


Tailwind : un framework de classes utilitaires : carrément overkill !!
Quelques bonnes idéees de classes utilitaires,
ou tout du moins pour le nommage
mais le concept en lui-même est plus adapté pour du prototypage …
https://tailwindcss.com/

Styleguide addons.helpers
*/
/* Color Helpers

Definir des classes utilitaires pour les couleures
https://shakrmedia.github.io/petal/docs/colors.html propose des classes txt-[color]-[l|d]
on definie via le suffixe une intensite light ou dark suivi d'une valeur numerique
on suis le meme principe pour la couleur de background avec .bg-color-densite

@todo - relativement mal nommé on est en conflit avec le composant du core color

Styleguide helpers.colors
*/
.color--primary { color: white; }

.color--secondary { color: red; }

.color--tertiary { color: orange; }

/* # Text Helpers

.text--left - align left
.text--center - align center
.text--right - align right
.text--justify - justify

Markup:
<p class="$modifierClass"></p>

$txt-namespace ('txt' !default;)
$txt-separator ('-' !default)
$txt-alignements (left,right,center,justify !default)
%txt-left
%txt-center
%txt-right
%txt-justify
%txt-truncate - prevent overflow when text is too long

Styleguide helpers.text
*/
.text--left { text-align: left; }

.text--right { text-align: right; }

.text--justify { text-align: justify; }

.text--center { text-align: center; }

.text--truncate { overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }

/* # Visibility helpers

<https://github.com/h5bp/html5-boilerplate>

.invisible              - Hide visually and from screen readers, but maintain layout
.hidden                 - Hide visually and from screen readers: h5bp.com/u
.visuallyhidden         - Hide only visually, but have it available for screen readers: h5bp.com/v
.sr-only				- Visible just for screen readers
%hidden 				- hidden placehoder
@mixin visuallyhidden 	- Visuallyhidden
@mixin sr-only			- screen reader

Styleguide addons.helpers.visibility
*/
/* Hide visually and from screen readers: h5bp.com/u */
.hidden { display: none !important; visibility: hidden; }

.visuallyhidden { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; white-space: nowrap; width: 1px; }

.visuallyhidden.focusable:active, .visuallyhidden.focusable:focus { clip: auto; height: auto; margin: 0; overflow: visible; position: static; width: auto; }

.invisible { visibility: hidden; }

.sr-only { position: absolute; width: 1px; height: 1px; padding: 0; margin: -1px; overflow: hidden; clip: rect(0, 0, 0, 0); border: 0; }

/* # Float Helpers

1 - block must be contained by a `.clearfix` container

.float--none - reset float
.float--right - float a block right [1]
.right - shortcut `float--right` [1]
.float--left - float a block left [1]
.left             - shortcut `float--left` [1]
.center           - center a block via margin auto
.clear            - clear both
.pull-right       - float right margin left
.pull-left        - float left margin right

Markup:
<div class="clearfix">
    <p class="$modifierClass"></p>
</div>

@see - <http://concisecss.com/archive/v3.0.0/documentation/core/alignment>  *Removed from latest concise version*
@use - toolbox/mixins/floats extrait de Compass/float/utilities

Styleguide addons.helpers.float
*/
.pull-right { float: right; margin-left: 0.75em; }

.pull-left { float: left; margin-right: 0.75em; }

.center { margin: 0 auto; }

.clear, hr.clear { clear: both; }

hr.clear { border-color: transparent !important; margin: 0; }

/* # Clearfix

Source : <https://github.com/h5bp/html5-boilerplate>

Clearfix:


.clearfix - contain floats


For modern browsers

1.  The space content is one way to avoid an Opera bug when the
    `contenteditable` attribute is included anywhere else in the document.
    Otherwise it causes space to appear at the top and bottom of elements
    that receive the `clearfix` class.

2.  The use of `table` rather than `block` is only necessary if using
    `:before` to contain the top-margins of child elements.

Styleguide addons.helpers.clearfix
*/
.clearfix:before, .clearfix:after { content: " "; /* 1 */ display: table; /* 2 */ }

.clearfix:after { clear: both; }

/* # Centering

You must define the with and height relative position of the parent container

Markup:
<div style="width:100%;height:200px;position:relative;border:1px solid silver;margin: 1em 0;">
  <div class="center--all">
		<button type="button">Click Me!</button>
		<p> Horizontally and vertically centered content.</p>
	</div>
</div>

@see - <https://css-tricks.com/centering-in-the-unknown/>
@see - <http://concisecss.com/documentation/core/alignment>
$center--all - placeholder

Styleguide addons.helpers.centerall
*/
.center--all { left: 50%; position: absolute; text-align: center; top: 50%; -webkit-transform: translate(-50%, -50%); transform: translate(-50%, -50%); }

/* # full-screen

Utilise le unitée vh et vw (viewport width et viewport height)

@see  - https://github.com/KingPixil/wing/blob/master/src/util.css

Compatibility: untested

Styleguide helpers.fullscreen
*/
.full-screen { width: 100vw; height: 100vh; }

/* # Media Fluid


Markup:
<img class="media--fluid"/>

Styleguide helpers.media--fluid
*/
.media--fluid { max-width: 100%; height: auto; }

/* images style effects



%img-rounded - placeholder
%img-circle
%img-bordered

Styleguide addons.helpers.images
*/
/* images style effects */
.img-rounded { border-radius: 4px; }

.img-circle { border-radius: 50%; }

.img-bordered { padding: 4px; background-color: #fff; border: 1px solid #bbb; }

/* # notice

Alerts & message box

Refills components : Flash


Markup:
<div class="notice $modifierClass">
<span>This is a $modifierClass message <a href="#">with a link</a></span>
</div>


$prefix  (notice ! default) - class prefix [alert, flash]
$base-spacing (1.5em !default) -
$alert-color (#fff6bf !default) -
$error-color (#fbe3e4 !default) -
$notice-color (#e5edf8 !default) -
$success-color (#e6efc2 !default) -


Styleguide addons.uikit.notice
*/
[class^="alert"] { display: block; margin-bottom: 0.75em; padding: 0.75em; text-align: center; border-radius: 4px; }

.alert { background-color: silver; color: #272727; }

.alert a { color: #0e0e0e; text-decoration: underline; }

.alert a:focus, .alert a:hover { color: black; }

.alert-warning { background-color: #fff6bf; color: #8c7800; }

.alert-warning a { color: #594c00; text-decoration: underline; }

.alert-warning a:focus, .alert-warning a:hover { color: black; }

.alert-error { background-color: #fbe3e4; color: #97161b; }

.alert-error a { color: #6a0f13; text-decoration: underline; }

.alert-error a:focus, .alert-error a:hover { color: #110203; }

.alert-info { background-color: #e5edf8; color: #244e87; }

.alert-info a { color: #19375f; text-decoration: underline; }

.alert-info a:focus, .alert-info a:hover { color: #04080e; }

.alert-success { background-color: #e6efc2; color: #56651a; }

.alert-success a { color: #333c10; text-decoration: underline; }

.alert-success a:focus, .alert-success a:hover { color: black; }

/*# sourceMappingURL=sassyspip.css.map */
